Subject: Re: bug#4124: 23.1; mwheel in --daemon mode

From: Stefan Monnier <[email-masked]>
Date: Thu, 13 Aug 2009 13:49:49 -0400

> No.  The essential problem is that in 'x', the mouse wheel events are
> 'mouse-4' and 'mouse-5', while in 'ns' and 'w32', the mouse wheel events
> are 'wheel-up' and 'wheel-down'.  The defcustom sets the default for the

Indeed.  We should remap mouse-4/5 to wheel-up/down in term/x-win.el via
function-key-map.  The only reason why I haven't done that yet is that
it is also needed for C-mouse-4/5, M-mouse-4/5, C-M-mouse-4/5 and on and
on for all combinations of modifiers (2^5).  64 additional entries in
function-key-map is not that bad, but for those users whose mouse-4/5 is
not a wheel mouse, it can be a serious pain in the rear to remove them.

So basically, I'd like to extend the function-key-map facilities so that
you can have entries that remap a whole set of events, but it's still on
the todo list.

        Stefan